require 'puppet/provider'
require 'puppet/util/network_device/equallogic/device'

class Puppet::Provider::Equallogic < Puppet::Provider

  attr_accessor :device
  def self.transport
    if Facter.value(:url) then
      Puppet.debug "Puppet::Util::NetworkDevice::Equallogic: connecting via facter url."
      @device ||= Puppet::Util::NetworkDevice::Equallogic::Device.new(Facter.value(:url))
    else
      @device ||= Puppet::Util::NetworkDevice.current
      raise Puppet::Error, "Puppet::Util::NetworkDevice::Equallogic: device not initialized #{caller.join("\n")}" unless @device
    end

    @tranport = @device.transport
  end

  def transport
    # this calls the class instance of self.transport instead of the object instance which causes an infinite loop.
    self.class.transport
  end

end
