require 'puppet/provider/equallogic'

Puppet::Type.type(:equallogic_volume_get_iqn).provide(:equallogic_volume_get_iqn, :parent => Puppet::Provider::Equallogic) do
  @doc = "Manage Equallogic Volume get IQN operation."
  $volume_iqn = "Not defined"

  confine :feature => :posix
  defaultfor :feature => :posix
  $provider_path = Pathname.new(__FILE__).parent
  $pythonFilePath = "#{$provider_path}/../../util/network_device/equallogic/pythonEquallogic.py"
  $volumeFilePath = "#{$provider_path}/../../util/network_device/equallogic/volume"
  mk_resource_methods
  def flush
    Puppet.debug("Puppet::Provider::Equallogic_volume: Got to flush for resource #{@resource[:name]}.")

    # Check required resource state
    Puppet.debug("Property_hash ensure = #{@property_hash[:ensure]}")

    @property_hash.clear
  end

  def get_iqn_of_volume
    response = ` python #{$pythonFilePath}  #{transport.host}  #{transport.user}  #{transport.password} volumeshow  #{@resource[:name]}`
    return response
  end

  # Volume create.
  def create
    Puppet.debug("Caller is #{caller[0]}")
    iqn_name =""
    Puppet.info("Puppet::Provider::Equallogic_volume_get_iqn: Getting Equallogic Volume IQN of volume #{@resource[:name]} ")
    # Get volume details
    response = get_iqn_of_volume
    if (response.match("Error logging"))
      raise Puppet::Error, "Failed to show IQN Info to the Volume  #{@resource[:name]} due the following: #{response} . Check username/password/ipaddress."
    end
    if (response.match("% Error"))
      raise Puppet::Error, "Failed to show IQN Info to the Volume  #{@resource[:name]} due the following: #{response}"
    end
    Puppet.debug("Puppet::Provider::Equallogic_volume_get_iqn:response ::  #{response}")
    response.split("\n").each do |line|
      if(line.to_s.include?"iSCSI Name:")
        array = line.split(": ")
        iqn_name = array[1]
      else
        next
      end
    end
    Puppet.info("Puppet::Provider::Equallogic_volume_get_iqn: For Volume : ( #{@resource[:name]} )  the IQN Info Name :  ( #{iqn_name} )")
    return true
  end

  def destroy
    Puppet.debug("Puppet::Provider::Equallogic_volume: Equallogic Volume #{@resource[:name]}")
    @property_hash[:ensure] = :absent
  end

  def exists?
    Puppet.info("Puppet::Provider::Equallogic_volume: checking existance of Equallogic Volume #{@resource[:name]}")
    Puppet.debug(" resource[:ensure]  ==  #{@resource[:ensure]}")
    if("#{@resource[:ensure]}" == "absent")
      @property_hash[:ensure] = :present
    else
      @property_hash[:ensure] = :absent
    end
    Puppet.debug("Value = #{@property_hash[:ensure]}")
    @property_hash[:ensure] == :present
  end

end
