Puppet::Type.newtype(:equallogic_volume_get_iqn) do
  @doc = "Manage Equallogic get IQN operation."

  apply_to_device

  ensurable

  newparam(:name) do
    desc "The volume name. Valid characters are a-z, 1-9, hyphen ."
    isnamevar
    validate do |value|
      unless value =~ /^[a-zA-Z0-9-]{1,63}$/
        raise ArgumentError, "The %s is an invalid volume resource name." % value
      end
    end
  end

end
