#! /usr/bin/env ruby

require 'spec_helper'
require 'yaml'
require 'puppet/provider/equallogic'
require 'puppet/util/network_device/equallogic/device'


describe Puppet::Type.type(:equallogic_volume).provider(:equallogic_volume) do

	describe "State of Testing the functionality of Equallogic volume change the state of Multihostaccess." do
		describe "Multihost access - settingup - required volume creation started" do
			device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
			volume_state =  YAML.load_file(my_fixture('volume_multihostaccess.yml'))
			state_node1 = volume_state['MultihostaccessVolume1']
			before :all do
				setup_method(device_conf['url'],state_node1['name'])
			end
			describe "required volume creation start " do
				it "should be able to create required volume" do
						##Setup creation started
				end
			end
		end
		describe "Equallogic volume - Multihostaccess state change validation" do
			device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
			before :each do
				setup_facter_value(device_conf['url'])
			end
			
			volume_multihostaccess =  YAML.load_file(my_fixture('volume_multihostaccess.yml'))
			mha_node1 = volume_multihostaccess['MultihostaccessVolume1']
			let :enable_multihostaccess do
				Puppet::Type.type(:equallogic_volume).new(
					:name          		=> mha_node1['name'],
					:ensure        		=> mha_node1['ensure'],
					:multihostaccess 	=> mha_node1['multihostaccess'],
				)
			end

			mha_node2 = volume_multihostaccess['MultihostaccessVolume2']
			let :disable_multihostaccess do
			Puppet::Type.type(:equallogic_volume).new(
				:name          		=> mha_node2['name'],
				:ensure        		=> mha_node2['ensure'],
				:multihostaccess 	=> mha_node2['multihostaccess'],
			)
			end

			let :provider do
				described_class.new( )
			end

			describe "when changing multihostaccess state to enable" do
				it "change state of multihostaccess from disable to enable" do
					enable_multihostaccess.provider.multihostaccess=''
				end
				it "Validation : Volume Multihost access set to enable - volume exists in equallogic." do
					create_verify_response = verify_volume_property('multihostaccess', mha_node1['multihostaccess'], mha_node1['name'])
					expect{expect(create_verify_response).to be_true}.not_to raise_error 
				end
			end

			describe "when changing multihostaccess state to disable" do
				it "change state of multihostaccess from disable to disable" do
					disable_multihostaccess.provider.multihostaccess=''
				end
				it "Validation : Volume Multihost access set to disable - volume exists in equallogic." do
					create_verify_response = verify_volume_property('multihostaccess', mha_node2['multihostaccess'], mha_node2['name'])
					expect{expect(create_verify_response).to be_true}.not_to raise_error 
				end
			end
		end
		
		describe "Multihost access - cleaningup - volume created for testing is destoryed" do
			device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
			volume_state =  YAML.load_file(my_fixture('volume_multihostaccess.yml'))
			state_node1 = volume_state['MultihostaccessVolume1']

			before :all do
				cleanup_method(device_conf['url'],state_node1['name'])
			end
			describe "volume created for testing destory operation start " do
				it "should be able to destroy created volume" do
						##Cleanup volume started
				end
			end
		end
	end
end
