#! /usr/bin/env ruby

require 'spec_helper'
require 'yaml'


describe Puppet::Type.type(:equallogic_volume_clone).provider(:equallogic_volume_clone) do

	describe "settingup - required volume creation started" do
		device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
		create_volume_clone_yml =  YAML.load_file(my_fixture('create_volume_clone.yml'))
		clone_node1 = create_volume_clone_yml['CreateVolumeClone1']
		before :all do
			setup_method(device_conf['url'],clone_node1['volume_name'])
		end
		describe "required volume creation start " do
			it "should be able to create required volume" do
					##Setup creation started
			end
		end
	end
	
	describe "State of Testing the functionality of Equallogic volume clone." do
		device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
		before :each do
			setup_facter_value(device_conf['url'])
		end

		create_volume_clone_yml =  YAML.load_file(my_fixture('create_volume_clone.yml'))
		clone_node1 = create_volume_clone_yml['CreateVolumeClone1'] 
		let :create_volume_clone do
			Puppet::Type.type(:equallogic_volume_clone).new(
			:name          		=> clone_node1['name'],
			:ensure        		=> clone_node1['ensure'],
			:volume_name   		=> clone_node1['volume_name'],
			)
		end

		let :provider do
			described_class.new( )
		end

		describe "when creating a clone of volume - with unique name" do
			it "should be able to create clone of a volume" do
				create_volume_clone.provider.create
			end
			it "Validation : Volume clone opeartion successful - and volume exists in equallogic." do
				create_verify_response = verify_volume_clone(clone_node1['name'])
				expect{expect(create_verify_response).to be_true}.not_to raise_error 
			end
		end
	end
	
	
	describe "cleaningup - volume created for testing is destoryed" do
		device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
		create_volume_clone_yml =  YAML.load_file(my_fixture('create_volume_clone.yml'))
		clone_node1 = create_volume_clone_yml['CreateVolumeClone1']
		before :all do
			cleanup_method(device_conf['url'],clone_node1['name'])
		end
		describe "volume created for testing destory operation start " do
			it "should be able to destroy created volume" do
					##Cleanup volume started
			end
		end
	end
	
	describe "cleaningup - volume created by clone operation is destoryed" do
		device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
		create_volume_clone_yml =  YAML.load_file(my_fixture('create_volume_clone.yml'))
		clone_node1 = create_volume_clone_yml['CreateVolumeClone1']
		before :all do
			cleanup_method(device_conf['url'],clone_node1['volume_name'])
		end
		describe "volume created by clone, destory operation started." do
			it "should be able to destroy created volume from volume clone" do
					##Cleanup cloned volume started
			end
		end
	end
	
end


