#! /usr/bin/env ruby

require 'spec_helper'
require 'yaml'
require 'puppet/util/network_device'
require 'puppet/util/network_device/equallogic/device'
require 'puppet/util/network_device/transport_equallogic'

describe Puppet::Util::NetworkDevice::Equallogic::Facts do

	device_conf =  YAML.load_file(my_deviceurl('equallogic','device_conf.yml'))
	let :transport do
		Puppet::Util::NetworkDevice::Transport_equallogic.new()
	end

	let :facts do
		described_class.new(transport)
	end

	before :each do
		Puppet::Util::Log.level = :debug
		Puppet::Util::Log.newdestination(:console)
		deviceobj = Puppet::Util::NetworkDevice::Equallogic::Device.new(device_conf['url'])
		transobj = deviceobj.transport
		transport.host = transobj.host
		transport.user = transobj.user
		transport.password = transobj.password
	end

	describe "#retrieve" do
		it "should retrive facts and respective values from equallogic" do
			puts "Facts retrive operation started."
			response = facts.retrieve
			expect{expect(response).to eq(response.match("Error"))}.to raise_error
			puts facts.retrieve
			puts "Facts retrive operation completed."
		end

		{	
		#Add facts and values to validate with existing values
		}.each do |fact, expected_value|
			it "should return #{expected_value} for #{fact}" do
				facts.retrieve[fact.to_s].should == expected_value
			end
		end
	end
end
