module PuppetSpec::Setupcleanup
  def setup_method(myurl, volname)
	Facter.add(:url) do
	    setcode do
	        myurl
	    end
	end
	create_volume =	Puppet::Type.type(:equallogic_volume).new(
							:name          		=> volname,
							:ensure        		=> 'present',
							:state				=> :online,
							:multihostaccess 	=> :disable,
							:initsize			=> '1m',
							:thinprovision		=> :enable,
							:poolname			=> 'default',
							:snapreserve		=> '20%',
							:thinminreserve		=> '20%',
							:thingrowthwarn		=> '30%',
							:thingrowthmax		=> '40%',
							:thinwarnsoftthres	=> '50%',
							:thinwarnhardthres	=> '60%'
					)
					
	puts 'setup - (required volume created for testing) create volume started'
	create_volume.provider.create
  end
  def cleanup_method(myurl, volname)
	Facter.add(:url) do
	    setcode do
	        myurl
	    end
	end	
	destroy_volume = Puppet::Type.type(:equallogic_volume).new(
							:name          		=> volname,
							:ensure        		=> 'absent',
					)
	puts 'cleanup - (required volume created for testing) destroy volume started'
	destroy_volume.provider.destroy
  end
end
