# == Define: equallogic::vol_access_chap
#
# Utility class for creation of a access to equallogic volume.
#
# === Parameters:
#
# [*ensure*]
#   The resource state.
#
# [*name*]
#   The volume name.
#
# [*chap_user_name*]
#   chap user name
#   
#   ===Sample
#
#class equallogic {
#    equallogic::vol_access_chap { 'demoVolume':
#        ensure              =>  present,
#        chap_user_name      => 'demoChap'
#    }
#}
#	
#

define equallogic::vol_access_chap (
   $ensure,
   $chap_user_name
) {
   equallogic_volume_access_chap { "${name}":
    ensure => $ensure,
    chap_user_name => $chap_user_name,
  }

}
