# == Define: equallogic::vol_access_iqn
#
# Utility class for creation of a access to equallogic volume.
#
# === Parameters:
#
# [*ensure*]
#   The resource state.
#
# [*name*]
#   The volume name.
#
# [*ipaddress*]
#   The IP Address of Equallogic Storage group.
#
# [*username*]
#   Username of Equallogic Storage Group.
#
# [*password*]
#   Password of Equallogic Storage Group.
#
# [*iqnOrIP*]
#   IQN or IP Address
#
#   === Sample Usage:
#
#class equallogic {
#    equallogic::vol_access_iqn { 'demoVolume':
#        ensure              =>  present,
#        iqnorip             => 'iqn.1992-01.example.com'
#    }
#}
#

define equallogic::vol_access_iqn (
   $ensure,
   $iqnorip
) {
   equallogic_volume_access_iqn { "${name}":
    ensure => $ensure,
    iqnorip => $iqnorip,
  }

}
