# == Define: Equallogic::vol_create_destroy
#
# Utility class for creation of a Equallogic Volume create and destroy.
#
# === Parameters:
#TBD
# === Actions:
#
# === Requires:
#
# === Sample Usage:
#
#   class equallogic {
#  		equallogic::vol_create { 'demo200':
#    		ensure              =>  present,
#    		size                => '1m',
#	 		state 				=> 'online',
#           poolname           => 'default',
#	 		multihostaccess 	=> 'disable',
#	 		thinprovision 		=> 'enable',
#    		snapresv    		=> '20%',
#    		thinminreserve 		=> '20%',
#    		thingrowthwarn 		=> '30%',
#    		thingrowthmax 		=> '40%',
#    		thinwarnsoftthres 	=> '50%',
#    		thinwarnhardthres 	=> '60%',
#  	}
#}
#
define equallogic::vol_create (
  $size = 1m,
  $ensure = 'present',
  $snapresv = '20%',
  $state = 'online',
  $poolname = 'default',
  $multihostaccess = 'disable',
  $thinprovision = 'enable',
  $thinminreserve = '20%',
  $thingrowthwarn = '30%',
  $thingrowthmax = '40%',
  $thinwarnsoftthres = '50%',
  $thinwarnhardthres = '60%'
 ) {
  equallogic_volume { "${name}":
    ensure            => $ensure,
    initsize          => $size,
    state	          => $state,
    poolname         => $poolname,
    multihostaccess   => $multihostaccess,
    snapreserve       => $snapresv,
    thinprovision     => $thinprovision,
    thinminreserve    => $thinminreserve,
    thingrowthwarn    => $thingrowthwarn,
     thingrowthmax    => $thingrowthmax,
    thinwarnsoftthres => $thinwarnsoftthres,
    thinwarnhardthres => $thinwarnhardthres,  
  }

}
