# == Define: equallogic::vol_state
#
# Utility class for changing the multi host access of equallogic volume
#
# === Parameters:
#
# [*ensure*]
#   The resource state.
#
# === Sample Usage
#
#class equallogic {
#	equallogic::vol_create { 'demo200':
#    		ensure              =>  present,
#	 		multihostaccess 	=> 'disable',
#  	}
#}
#
define equallogic::vol_multi_host_access (
 $ensure = 'absent',
 $multihostaccess
) {

  equallogic_volume { "${name}":
    ensure            => $ensure,
	multihostaccess => $multihostaccess,
  }

}
